%define nagios_bname nagios
%define nagios_bver 2.7
%define realname nsca
%define nagios_plugdir %_libdir/nagios/plugins
%define nagios_confdir %_sysconfdir/nagios
%define nagios_usr nagios
%define nagios_grp nagios

Name: %nagios_bname-%realname
Version: 2.7
Release: alt1

Summary: NSCA -- Nagios(R) Service Checks Acceptor daemon
License: GPL
Group: Monitoring
URL: http://www.nagios.org

Requires: nagios-daemon

Source0: %realname-%version.tar.gz
Patch0: %realname-2.5-alt-config.patch
Patch1: %realname-2.6-alt-warnings.patch

Prefix: %prefix

# Automatically added by buildreq on Mon Feb 13 2006
BuildRequires: libmcrypt-devel libwrap-devel

%package -n %nagios_bname-%realname-sender
Summary: Service checks sender for NSCA.
License: GPL
Group: Monitoring
PreReq: nagios-plugins

%description
The %name packages contains the Nagios(R) Service Checks Acceptor
-- daemon which allow you to send service check results to a
central monitoring server running Nagios in a secure manner.
This program runs as a daemon on the central server that runs Nagios.
It listens for host and service check results from remote machines
(sent using the send_nsca program from nagios-nsca-sender package).

%description -n %nagios_bname-%realname-sender
This package conotains the client program that is used to send
service check information from a remote machine to the nsca daemon
on the central machine that runs Nagios.

%prep
%setup -n %realname-%version
%patch0 -p1
%patch1 -p1

%build
%configure \
 --with-nsca-user=%nagios_usr \
 --with-nsca-grp=%nagios_grp \
 --with-nsca-port=65533

%__make

%install
%__mkdir_p %buildroot/%nagios_confdir

%__mkdir_p %buildroot/%_bindir
%__mkdir_p %buildroot/%_sbindir
%__mkdir_p %buildroot/%_sysconfdir/xinetd.d

# install binaries
%__install -m 0711 src/nsca %buildroot/%_sbindir
%__install -m 0711 src/send_nsca %buildroot/%_bindir

# install config
%__install -m 0640 sample-config/nsca.cfg %buildroot/%nagios_confdir
%__install -m 0640 sample-config/send_nsca.cfg %buildroot/%_sysconfdir

%files
%config(noreplace) %nagios_confdir/nsca.cfg
%_sbindir/nsca
%doc Changelog sample-config/nsca.xinetd README SECURITY


%files -n %nagios_bname-%realname-sender
%config(noreplace) %_sysconfdir/send_nsca.cfg
%_bindir/send_nsca
%doc Changelog README SECURITY

%changelog
* Sat Jan 27 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 2.7-alt1
- 2.7

* Sat Jul 01 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.6-alt1
- 2.6

* Mon Feb 13 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.5-alt1
- 2.5

* Wed Mar 10 2004 Denis Smirnov <mithraen@altlinux.ru> 2.4-alt2
- libdb4.0 req deleted

* Thu Oct 09 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.4-alt1
- initial package for ALT Llinux
